Skip to main content
POST
Verify a bank account (V2)

Headers

X-Beneficiary-Policy-Version
string

The version of the beneficiary validation policy to apply. The latest one is used when omitted.

Authorization
string
required

The access token.

Query Parameters

client_id
string
required

The identifier of a client.

Body

application/json

The bank account details to verify.

The bank account details to verify.

bank_country_code
string
required

The ISO 3166-1 alpha-2 code of the bank's country.

Required string length: 2
bank_account_currency_code
string
required

The ISO 4217 code of the bank account's currency.

Required string length: 3
bank_account_iban
string | null

The IBAN of the bank account, if applicable.

Minimum string length: 1
bank_account_number
string | null

The account number of the bank account, if applicable.

Minimum string length: 1
bank_swift_code
string | null

The SWIFT code of the bank, if applicable.

Minimum string length: 1
bank_identifier
string | null

The local identifier of the bank (e.g. Sort Code, IFSC, routing number), if applicable.

Minimum string length: 1

Response

The outcome of the bank account verification.

The outcome of the bank account verification.

verification_status
string
required

The verification verdict: passed, caution or failed.

suggested_fields
object
required

The resolved bank account fields to prefill the beneficiary with. A field is null when it could not be resolved.

issues
object[]

The problems or caveats found in the bank account.